Name:		xmoto
Version:	0.4.2
Release:	1%{?dist}
Summary:	Challenging 2D Motocross Platform Game

Group:		Amusements/Games
License:	GPLv2+
URL:		http://xmoto.sourceforge.net/
Source0:	http://download.tuxfamily.org/xmoto/xmoto/%{version}/xmoto-%{version}-src.tar.gz
Source1:	xmoto.desktop
Source2:	xmoto.png
#Patch0:		xmoto-man.patch
Patch1:		xmoto-0.3.4-Environment-cstlib.patch
Patch2:		xmoto-0.3.4-Scene-collisioninclude.patch
Patch3:		xmoto-0.4.0-Environment-string.patch
Patch4:		xmoto-0.4.0-DrawLib-hashmap.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	curl-devel
BuildRequires:	ode-devel
BuildRequires:	lua-devel
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	bzip2-devel
BuildRequires:	sqlite-devel

%description
X-Moto is a challenging 2D motocross platform game, where physics play an all
important role in the gameplay. You need to control your bike to its limit, if
you want to have a chance finishing the more difficult of the challenges.

First you'll try just to complete the levels, while later you'll compete with
yourself and others, racing against the clock.


%prep
%setup -q
#%patch
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

#fix encoding
sed -i 's/\r//' src/xmscene/Camera.cpp
sed -i 's/\r//' src/xmscene/Camera.h

#fix permissions
chmod 644 src/xmscene/Camera.*

%build
%configure --with-enable-zoom=1
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install icon and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT%{_datadir}/applications --add-category X-Fedora %{SOURCE1}

# Locale files
%find_lang %{name} %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then 
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/xmoto
%{_datadir}/xmoto
%{_datadir}/applications/fedora-xmoto.desktop
%{_datadir}/icons/hicolor/48x48/apps/xmoto.png
%{_mandir}/man6/xmoto.6.gz


%changelog
* Tue Mar 18 2008 Jon Ciesla <limb@jcomserv.net> 0.4.2-1
- Update to 0.4.2.
- Dropping xmoto-man patch.

* Wed Feb 13 2008 Jon Ciesla <limb@jcomserv.net> 0.4.1-1
- Update to 0.4.1.
- Dropped subversion BR.

* Mon Feb 11 2008 Jon Ciesla <limb@jcomserv.net> 0.4.0-1
- Update to 0.4.0.
- Dropped unneeded patches.
- Added string patch, hash_map, inline(jwrdegoede) patch.
- BRed subversion.

* Tue Jan 08 2008 Jon Ciesla <limb@jcomserv.net> 0.3.4-2
- Added cstdlib, include extra tokens patches.
- GCC 4.3 rebuild.

* Thu Oct 25 2007 Jon Ciesla <limb@jcomserv.net> 0.3.4-1
- Bumped to 0.3.4.

* Mon Sep 24 2007 Jon Ciesla <limb@jcomserv.net> 0.3.3-2
- Patches from upstream to correct BZ 295981.

* Wed Aug 29 2007 Jon Ciesla <limb@jcomserv.net> 0.3.3-1
- Bumped to upstream.
- Fixed URL.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> 0.3.1-2
- License tag correction.

* Mon Jul 09 2007 Jon Ciesla <limb@jcomserv.net> 0.3.1-1
- Bumped to upstream, BZ 247445.

* Wed Jun 20 2007 Jon Ciesla <limb@jcomserv.net> 0.3.0-1
- Bumped to upstream.

* Mon Mar 19 2007 Jon Ciesla <limb@jcomserv.net> 0.2.7-1
- Bumped to upstream, fixed man issues.

* Fri Mar 16 2007 Jon Ciesla <limb@jcomserv.net> 0.2.6-2
- Bumped release, build mistake.

* Fri Mar 16 2007 Jon Ciesla <limb@jcomserv.net> 0.2.6-1
- New upstream release.
- Removed Application from .desktop.
- Spec cleanup.
- Fixed man path with patch.
- Removed X-Fedora.

* Wed Feb 28 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-1
- New upstream release
- xmoto-edit now seperate from base xmoto

* Mon Nov 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.2.2-2
- Added again the debuginfo package (it's working)

* Sun Nov 12 2006 Hugo Cisneiros <hugo@devin.com.br> 0.2.2-1
- New upstream release

* Mon Nov  6 2006 Jindrich Novy <jnovy@redhat.com> 0.2.0-2
- Rebuild against the new curl

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.2.0-1
- New upstream release

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.16-2
- Rebuilt for FC6

* Wed Jul  5 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.16-1
- Initial RPM release
